
<?php
/* Funcion para extraer informacion desde un nodo XML */
function obtValorXML($xml, $var, $x) {
	$dom = new DOMDocument();
	$dom->load($xml);
	$data = array();
	$elements = $dom->getElementsByTagName($var);
	foreach($elements as $node){
		foreach($node->childNodes as $child) {
			$data[] = $child->nodeValue;
		}
	}
	if(count($data) > 0) {
		return($data[$x]);
	} else {
		return "";
	}
   }
   
   
$archivo="./DOC_RECIBE/ENVIO_DTE_343976.xml";

	$tipo=obtValorXML($archivo,'TpoDTE','0');
    $cant=obtValorXML($archivo,'NroDTE','0');
    print_r($tipo);
	print_r($cant);
	for ($i=0; $i<$cant; $i++)
	{ 
	
	$nom= obtValorXML($archivo,'RUTEmisor',$i);
	$nom1= obtValorXML($archivo,'RUTRecep',$i);
	
	print_r($nom);
	print_r($nom1);
    }




?>